# vite-plugin-files

[![npm version](https://badgen.net/npm/v/vite-plugin-files)](https://www.npmjs.com/package/vite-plugin-files)
[![monthly downloads](https://badgen.net/npm/dm/vite-plugin-files)](https://www.npmjs.com/package/vite-plugin-files)
[![types](https://badgen.net/npm/types/vite-plugin-files)](https://github.com/hannoeru/vite-plugin-files/blob/main/src/types.ts)
[![license](https://badgen.net/npm/license/vite-plugin-files)](https://github.com/hannoeru/vite-plugin-files/blob/main/LICENSE)

File system plugin for [Vite](https://github.com/vitejs/vite) plugin. It is designed for vite plugins that need to monitor file changes, which is not helpful for the actual vite project.

Thanks vite-plugin-pages for inspiration

## 插件提供功能

1. 根据配置文件读取对应格式文件并生成对应的代码
2. 当文件或文件夹修改后的重新加载

## 使用方法

1. 普通使用

```ts
import { defineConfig } from "vite";
import Files from "vite-plugin-files";

export default defineConfig({
    plugins: [
        Files({
            name: "vite-plugin-files",
            virtualId: "generate-files",
            filesDir: ["./src/utils", "./src/lib"],
            extensions: ["ts"]
        })
    ]
});
```

2. 定制开发插件请参考 `vite-plugin-react-router`

## git 提交规范(Angular 规范)

> 1.  feat 新增一个功能
> 2.  fix 修复一个 Bug
> 3.  docs 文档变更
> 4.  style 代码格式（不影响功能，例如空格、分号等格式修正）
> 5.  refactor 代码重构
> 6.  perf 改善性能
> 7.  test 测试
> 8.  build 变更项目构建或外部依赖（例如 scopes: webpack、gulp、npm 等）
> 9.  ci 更改持续集成软件的配置文件和 package 中的 scripts 命令，例如 scopes: Travis, Circle 等
> 10. chore 开发工具变动(构建、脚手架工具等)
> 11. revert 代码回退

## License

MIT License © 2021 [morelearn1990](https://github.com/morelearn1990)
